/***************************************************************************
 *   Copyright (C) 2005-2006 by Anne-Marie Mahfouf   *
 *   annemarie.mahfouf@free.fr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/


#include "kalcul.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE math application for children aged 6 and more");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("kalcul", 0, ki18n("Kalcul"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2005 The Kalcul Team"), KLocalizedString(), 0, "submit@bugs.kde.org");
    about.addAuthor( ki18n("Anne-Marie Mahfouf"), ki18n("Developer"), "annemarie.mahfouf@free.fr" );
    about.addAuthor(ki18n("Michael Goettsche"),
        ki18n("Developer"), "michael.goettsche@kdemail.net");
    about.addCredit(ki18n("Zoran Karavla"),
                            ki18n("Icon"), "webmaster@the-error.net");
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(Kalcul);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            Kalcul *widget = new Kalcul;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                Kalcul *widget = new Kalcul;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}

